package com.ruoyi.ss.room.domain;

import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.order.domain.vo.ReservedTimePeriod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class RoomVO extends Room {

    /* 每小时价格 */
    @ApiModelProperty("每小时价格")
    private BigDecimal hour;

    /* 已售数量 */
    @ApiModelProperty("已售数量")
    private Integer soldNum;

    /* 最低价格套餐对象 */
    @ApiModelProperty("最低价格套餐对象")
    private FeeRuleVO feeRuleVO;

    /* 已预定时间段 */
    @ApiModelProperty("已预定时间段")
    private List<ReservedTimePeriod> reservedTimePeriods;

}
