package com.ruoyi.ss.balance.domain;

import java.math.BigDecimal;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户余额对象 ss_user_balance
 *
 * @author qzz
 * @date 2024-11-26
 */
@Data
public class UserBalance extends BaseEntity{

    private static final long serialVersionUID = 1L;

    private Long balanceId;

    @Excel(name = "用户id")
    @ApiModelProperty("用户id")
    private Long userId;

    @Excel(name = "店铺id")
    @ApiModelProperty("店铺id")
    private Long storeId;

    @Excel(name = "余额")
    @ApiModelProperty("余额")
    private BigDecimal balance;

}
