package com.ruoyi.ss.order.domain;

import com.ruoyi.common.core.domain.entity.UserVO;
import com.ruoyi.ss.bonus.domain.Bonus;
import com.ruoyi.ss.device.domain.vo.DeviceVO;
import com.ruoyi.ss.order.domain.dto.ReOrderDTO;
import com.ruoyi.ss.room.domain.RoomVO;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import com.ruoyi.ss.store.domain.StoreVO;
import com.ruoyi.ss.order.domain.dto.OrderDTO;
import lombok.Data;

import java.util.List;

@Data
public class OrderBO {

    // 原始参数
    private OrderDTO params;

    // 续单原始参数
    private ReOrderDTO reOrderDTO;

    // 订单
    private OrderVO order;

    // 原订单
    private OrderVO originalOrder;

    //app用户
    private UserVO user;

    //商户
    private UserVO merchant;

    //房间
    private RoomVO room;

    //房间门
    private DeviceVO door;

    //套餐
    private FeeRuleVO feeRule;

    // 店铺
    private StoreVO store;

    //大门
    private DeviceVO gate;

    // 分成详情
    List<Bonus>  bonusList;

    // 订单类型：1-预定单；2-续单;3-余额充值
    private String type;
}
