package com.ruoyi.ss.order.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.ss.orderOper.domain.OrderOper;
import com.ruoyi.ss.feeRule.domain.FeeRuleVO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class OrderVO extends Order {

    /** 店铺地址 */
    private String storeAddress;

    /** 房间图片 */
    private String picture;

    /** 套餐 */
    private FeeRuleVO rule;

    /** 操作履历 */
    private List<OrderOper> orderOpers;

    /** 可退款金额 */
    private BigDecimal refundableTotalAmount;

    /** 每小时价格 */
    private String hourPrice;

}
